/* config.h.in.  Generated from configure.ac by autoheader.  */

/* Define if building universal (internal helper macro) */
#undef AC_APPLE_UNIVERSAL_BUILD

/* long int is 32 bits */
#undef COB_32_BIT_LONG

/* Pointers are longer than 32 bits */
#undef COB_64_BIT_POINTER

/* Compilation of computed gotos works */
#undef COB_COMPUTED_GOTO

/* Enable internal logging (Developers only!) */
#undef COB_DEBUG_LOG

/* Executable extension */
#undef COB_EXE_EXT

/* Enable experimental code (Developers only!) */
#undef COB_EXPERIMENTAL

/* Compile/link option for exporting symbols */
#undef COB_EXPORT_DYN

/* Keyword for inline */
#undef COB_KEYWORD_INLINE

/* long int is long long */
#undef COB_LI_IS_LL

/* Module extension */
#undef COB_MODULE_EXT

/* Can not dlopen self */
#undef COB_NO_SELFOPEN

/* Object extension */
#undef COB_OBJECT_EXT

/* Enable minimum parameter check for system libraries */
#undef COB_PARAM_CHECK

/* Compile/link option for PIC code */
#undef COB_PIC_FLAGS

/* Compile/link option for shared code */
#undef COB_SHARED_OPT

/* Strip command */
#undef COB_STRIP_CMD

/* Enable extra checks within the compiler (Developers only!) */
#undef COB_TREE_DEBUG

/* Define to 1 if translation of program messages to the user's native
   language is requested. */
#undef ENABLE_NLS

/* Define to 1 if you have the `atol' function. */
#undef HAVE_ATOL

/* Define to 1 if you have the `atoll' function. */
#undef HAVE_ATOLL

/* Has __attribute__((aligned)) */
#undef HAVE_ATTRIBUTE_ALIGNED

/* Define to 1 if you have the `canonicalize_file_name' function. */
#undef HAVE_CANONICALIZE_FILE_NAME

/* Define to 1 if you have the Mac OS X function CFLocaleCopyCurrent in the
   CoreFoundation framework. */
#undef HAVE_CFLOCALECOPYCURRENT

/* Define to 1 if you have the Mac OS X function CFPreferencesCopyAppValue in
   the CoreFoundation framework. */
#undef HAVE_CFPREFERENCESCOPYAPPVALUE

/* Define to 1 if you have the <cjson/cJSON.h> header file. */
#undef HAVE_CJSON_CJSON_H

/* Define to 1 if you have the <cJSON.h> header file. */
#undef HAVE_CJSON_H

/* Has clock_gettime function and CLOCK_REALTIME */
#undef HAVE_CLOCK_GETTIME

/* curses has color_set function */
#undef HAVE_COLOR_SET

/* ncurses has _nc_freeall function */
#undef HAVE_CURSES_FREEALL

/* Define to 1 if you have the <curses.h> header file. */
#undef HAVE_CURSES_H

/* Define to 1 if you have the <db.h> header file. */
#undef HAVE_DB_H

/* Define if the GNU dcgettext() function is already present or preinstalled.
   */
#undef HAVE_DCGETTEXT

/* curses has define_key function */
#undef HAVE_DEFINE_KEY

/* Has designated initializers */
#undef HAVE_DESIGNATED_INITS

/* Define to 1 if you have the <disam.h> header file. */
#undef HAVE_DISAM_H

/* Has dladdr function */
#undef HAVE_DLADDR

/* Define to 1 if you have the <dlfcn.h> header file. */
#undef HAVE_DLFCN_H

/* Define to 1 if you don't have `vprintf' but do have `_doprnt.' */
#undef HAVE_DOPRNT

/* Define to 1 if you have the `fcntl' function. */
#undef HAVE_FCNTL

/* Define to 1 if you have the <fcntl.h> header file. */
#undef HAVE_FCNTL_H

/* Define to 1 if you have the `fdatasync' function. */
#undef HAVE_FDATASYNC

/* Declaration of finite function in ieeefp.h instead of math.h */
#undef HAVE_FINITE_IEEEFP_H

/* Define to 1 if you have the `getexecname' function. */
#undef HAVE_GETEXECNAME

/* Define if the GNU gettext() function is already present or preinstalled. */
#undef HAVE_GETTEXT

/* Define to 1 if you have the `gettimeofday' function. */
#undef HAVE_GETTIMEOFDAY

/* Define to 1 if you have the <gmp.h> header file. */
#undef HAVE_GMP_H

/* curses has has_mouse function */
#undef HAVE_HAS_MOUSE

/* Define if you have the iconv() function and it works. */
#undef HAVE_ICONV

/* Define to 1 if you have the <inttypes.h> header file. */
#undef HAVE_INTTYPES_H

/* Define to 1 if you have the <isam.h> header file. */
#undef HAVE_ISAM_H

/* Has isfinite function */
#undef HAVE_ISFINITE

/* Define if you have <langinfo.h> and nl_langinfo(CODESET). */
#undef HAVE_LANGINFO_CODESET

/* Define to 1 if you have the `curses' library (-lcurses). */
#undef HAVE_LIBCURSES

/* Define to 1 if you have the `ncurses' library (-lncurses). */
#undef HAVE_LIBNCURSES

/* Define to 1 if you have the `ncursesw' library (-lncursesw). */
#undef HAVE_LIBNCURSESW

/* Define to 1 if you have the `pdcurses' library (-lpdcurses). */
#undef HAVE_LIBPDCURSES

/* Define to 1 if you have the `posix4' library (-lposix4). */
#undef HAVE_LIBPOSIX4

/* Define to 1 if you have the `rt' library (-lrt). */
#undef HAVE_LIBRT

/* Define to 1 if you have the <libxml/uri.h> header file. */
#undef HAVE_LIBXML_URI_H

/* Define to 1 if you have the <libxml/xmlversion.h> header file. */
#undef HAVE_LIBXML_XMLVERSION_H

/* Define to 1 if you have the <libxml/xmlwriter.h> header file. */
#undef HAVE_LIBXML_XMLWRITER_H

/* Define to 1 if you have the `localeconv' function. */
#undef HAVE_LOCALECONV

/* Define to 1 if you have the <locale.h> header file. */
#undef HAVE_LOCALE_H

/* Define to 1 if you have the <ltdl.h> header file. */
#undef HAVE_LTDL_H

/* Define to 1 if you have the <malloc.h> header file. */
#undef HAVE_MALLOC_H

/* Define to 1 if you have the `memmove' function. */
#undef HAVE_MEMMOVE

/* Define to 1 if you have the <memory.h> header file. */
#undef HAVE_MEMORY_H

/* Define to 1 if you have the `memset' function. */
#undef HAVE_MEMSET

/* curses has mouseinterval function */
#undef HAVE_MOUSEINTERVAL

/* Do we have mp_get_memory_functions in gmp */
#undef HAVE_MP_GET_MEMORY_FUNCTIONS

/* Has nanosleep function */
#undef HAVE_NANO_SLEEP

/* Define to 1 if you have the <ncursesw/curses.h> header file. */
#undef HAVE_NCURSESW_CURSES_H

/* Define to 1 if you have the <ncursesw/ncurses.h> header file. */
#undef HAVE_NCURSESW_NCURSES_H

/* Define to 1 if you have the <ncurses.h> header file. */
#undef HAVE_NCURSES_H

/* Define to 1 if you have the <ncurses/ncurses.h> header file. */
#undef HAVE_NCURSES_NCURSES_H

/* Define to 1 if you have the <oci.h> header file. */
#undef HAVE_OCI_H

/* Define to 1 if you have the <pdcurses.h> header file. */
#undef HAVE_PDCURSES_H

/* Define to 1 if you have the `popen' function. */
#undef HAVE_POPEN

/* Define to 1 if you have the `raise' function. */
#undef HAVE_RAISE

/* Define to 1 if you have the `readlink' function. */
#undef HAVE_READLINK

/* Define to 1 if you have the `realpath' function. */
#undef HAVE_REALPATH

/* Define to 1 if you have the `setenv' function. */
#undef HAVE_SETENV

/* Define to 1 if you have the `setlocale' function. */
#undef HAVE_SETLOCALE

/* Define to 1 if you have the `sigaction' function. */
#undef HAVE_SIGACTION

/* Define to 1 if you have the <signal.h> header file. */
#undef HAVE_SIGNAL_H

/* Define to 1 if the system has the type `sig_atomic_t'. */
#undef HAVE_SIG_ATOMIC_T

/* Define to 1 if you have the <sqlext.h> header file. */
#undef HAVE_SQLEXT_H

/* Define to 1 if you have the <sql.h> header file. */
#undef HAVE_SQL_H

/* Define to 1 if you have the <stddef.h> header file. */
#undef HAVE_STDDEF_H

/* Define to 1 if you have the <stdint.h> header file. */
#undef HAVE_STDINT_H

/* Define to 1 if you have the <stdlib.h> header file. */
#undef HAVE_STDLIB_H

/* Define to 1 if you have the `strcasecmp' function. */
#undef HAVE_STRCASECMP

/* Define to 1 if you have the `strchr' function. */
#undef HAVE_STRCHR

/* Define to 1 if you have the `strcoll' function. */
#undef HAVE_STRCOLL

/* Define to 1 if you have the `strdup' function. */
#undef HAVE_STRDUP

/* Define to 1 if you have the `strerror' function. */
#undef HAVE_STRERROR

/* Define to 1 if you have the <strings.h> header file. */
#undef HAVE_STRINGS_H

/* Define to 1 if you have the <string.h> header file. */
#undef HAVE_STRING_H

/* Define to 1 if you have the `strrchr' function. */
#undef HAVE_STRRCHR

/* Define to 1 if you have the `strstr' function. */
#undef HAVE_STRSTR

/* Define to 1 if you have the `strtol' function. */
#undef HAVE_STRTOL

/* Define to 1 if you have the `strtoll' function. */
#undef HAVE_STRTOLL

/* Define to 1 if you have the <sys/stat.h> header file. */
#undef HAVE_SYS_STAT_H

/* Define to 1 if you have the <sys/sysmacros.h> header file. */
#undef HAVE_SYS_SYSMACROS_H

/* Define to 1 if you have the <sys/time.h> header file. */
#undef HAVE_SYS_TIME_H

/* Define to 1 if you have the <sys/types.h> header file. */
#undef HAVE_SYS_TYPES_H

/* Define to 1 if you have the <sys/wait.h> header file. */
#undef HAVE_SYS_WAIT_H

/* Has timezone variable */
#undef HAVE_TIMEZONE

/* Define to 1 if you have the <unistd.h> header file. */
#undef HAVE_UNISTD_H

/* ncurses has use_legacy_coding function */
#undef HAVE_USE_LEGACY_CODING

/* Define to 1 if you have the <vbisam.h> header file. */
#undef HAVE_VBISAM_H

/* Define to 1 if you have the `vprintf' function. */
#undef HAVE_VPRINTF

/* Define to 1 if you have the <wchar.h> header file. */
#undef HAVE_WCHAR_H

/* Define to the sub-directory where libtool stores uninstalled libraries. */
#undef LT_OBJDIR

/* Define maximum parameters for CALL */
#undef MAX_CALL_FIELD_PARAMS

/* Name of package */
#undef PACKAGE

/* Define to the address where bug reports for this package should be sent. */
#undef PACKAGE_BUGREPORT

/* Define to the full name of this package. */
#undef PACKAGE_NAME

/* Define to the full name and version of this package. */
#undef PACKAGE_STRING

/* Define to the one symbol short name of this package. */
#undef PACKAGE_TARNAME

/* Define to the home page for this package. */
#undef PACKAGE_URL

/* Define to the version of this package. */
#undef PACKAGE_VERSION

/* Define a patch level (numeric, max. 8 digits) */
#undef PATCH_LEVEL

/* Define to 1 if you have the ANSI C header files. */
#undef STDC_HEADERS

/* Define to 1 if your <sys/time.h> declares `struct tm'. */
#undef TM_IN_SYS_TIME

/* Use system dynamic loader */
#undef USE_LIBDL

/* Enable extensions on AIX 3, Interix.  */
#ifndef _ALL_SOURCE
# undef _ALL_SOURCE
#endif
/* Enable GNU extensions on systems that have them.  */
#ifndef _GNU_SOURCE
# undef _GNU_SOURCE
#endif
/* Enable threading extensions on Solaris.  */
#ifndef _POSIX_PTHREAD_SEMANTICS
# undef _POSIX_PTHREAD_SEMANTICS
#endif
/* Enable extensions on HP NonStop.  */
#ifndef _TANDEM_SOURCE
# undef _TANDEM_SOURCE
#endif
/* Enable general extensions on Solaris.  */
#ifndef __EXTENSIONS__
# undef __EXTENSIONS__
#endif


/* Version number of package */
#undef VERSION

/* Use CISAM as INDEXED handler */
#undef WITH_CISAM

/* Use cJSON as JSON handler */
#undef WITH_CJSON

/* curses library for extended SCREEN I/O */
#undef WITH_CURSES

/* Use Berkeley DB library as INDEXED handler */
#undef WITH_DB

/* Use DISAM as INDEXED handler */
#undef WITH_DISAM

/* Default INDEXED file handler */
#undef WITH_INDEXED

/* Compile with obsolete external INDEXED handler */
#undef WITH_INDEX_EXTFH

/* Default INDEXED file handler */
#undef WITH_IXDFLT

/* Use Lightning Memory-Mapped Database as INDEXED handler */
#undef WITH_LMDB

/* Using more than 1 of C/D/VB-ISAM */
#undef WITH_MULTI_ISAM

/* Use OCI for INDEXED file handler */
#undef WITH_OCI

/* Use ODBC for INDEXED file handler */
#undef WITH_ODBC

/* Compile with obsolete external SEQ/RAN handler */
#undef WITH_SEQRA_EXTFH

/* Define variable sequential file format */
#undef WITH_VARSEQ

/* Use VBISAM as INDEXED handler */
#undef WITH_VBISAM

/* Use libxml2 as XML handler */
#undef WITH_XML2

/* Define WORDS_BIGENDIAN to 1 if your processor stores words with the most
   significant byte first (like Motorola and SPARC, unlike Intel). */
#if defined AC_APPLE_UNIVERSAL_BUILD
# if defined __BIG_ENDIAN__
#  define WORDS_BIGENDIAN 1
# endif
#else
# ifndef WORDS_BIGENDIAN
#  undef WORDS_BIGENDIAN
# endif
#endif

/* Define to 1 if `lex' declares `yytext' as a `char *' by default, not a
   `char[]'. */
#undef YYTEXT_POINTER

/* Define to 1 if on MINIX. */
#undef _MINIX

/* Define to 2 if the system does not provide POSIX.1 features except with
   this defined. */
#undef _POSIX_1_SOURCE

/* Define to 1 if you need to in order for `stat' and other things to work. */
#undef _POSIX_SOURCE

/* Define to 1 if on HPUX.  */
#ifndef _XOPEN_SOURCE_EXTENDED
# undef _XOPEN_SOURCE_EXTENDED
#endif

/* Define to empty if `const' does not conform to ANSI C. */
#undef const

/* Define to `unsigned int' if <sys/types.h> does not define. */
#undef size_t
